Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionEntry

All Known Implementing Classes:
  TransactionEntryImpl

public interface TransactionEntry
extends Belonging

Each TransactionEntry acts as a journal entry for a PaymentTransaction. Each entry is a snapshot of a transaction as of specified date and time. The TransactionEntry is implemented as a belonging, it is created using the TransactionEntryHome abstract factory.

See Also:
  `PaymentTransaction`, `TransactionEntryHome`

Method Summary
`java.sql.Date` | `getEntryDate()` Get the date on which the entry was created.
`java.lang.String` | `getIdentifier()` Get the unique identifier for this entry.
`java.lang.String` | `getNotes()` Get the notes associated with this entry.
`java.lang.String` | `getServiceProviderCode()` Get the service provider specific code associated with this transaction.
`java.lang.String` | `getStatus()` Get the status of the PaymentTransaction at the time of this entry.
`Price` | `getTransactionAmount()` Get the amount of the transaction outstanding at the time of this entry.
`void` | `setEntryDate(java.sql.Date entryDate)` Set the date on which the entry was created.
`void` | `setIdentifier(java.lang.String identifier)` Set the unique identifier for this entry.
`void` | `setNotes(java.lang.String notes)` Set the notes associated with this entry.
`void` | `setServiceProviderCode(java.lang.String serviceProviderCode)` Set the service provider specific code associated with this transaction.
`void` | `setStatus(java.lang.String status)` Get the status of the PaymentTransaction at the time of this entry.
`void` | `setTransactionAmount(Price transactionAmount)` Set the amount of the transaction outstanding at the time of this entry.

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getEntryDate

    public java.sql.Date getEntryDate()

  Get the date on which the entry was created.

  Returns:
    entryDate

### setEntryDate

    public void setEntryDate(java.sql.Date entryDate)

  Set the date on which the entry was created.

  Parameters:
    `entryDate` -

### getIdentifier

    public java.lang.String getIdentifier()

  Get the unique identifier for this entry.

  Returns:
    identifier

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

  Set the unique identifier for this entry.

  Parameters:
    `identifier` -

### getNotes

    public java.lang.String getNotes()

  Get the notes associated with this entry.

  Returns:
    notes

### setNotes

    public void setNotes(java.lang.String notes)

  Set the notes associated with this entry.

  Parameters:
    `notes` -

### getStatus

    public java.lang.String getStatus()

  Get the status of the PaymentTransaction at the time of this entry.

  Returns:
    status

### setStatus

    public void setStatus(java.lang.String status)

  Get the status of the PaymentTransaction at the time of this entry. The series of states will be as governed by the `PaymentWorkflow`.

  Parameters:
    `status` -

### getTransactionAmount

    public Price getTransactionAmount()

  Get the amount of the transaction outstanding at the time of this entry.

  Returns:
    transactionAmount.

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Set the amount of the transaction outstanding at the time of this entry.

  Parameters:
    `transactionAmount` - transactionAmount to be added

### getServiceProviderCode

    public java.lang.String getServiceProviderCode()

  Get the service provider specific code associated with this transaction.

  Returns:
    serviceProviderCode.

### setServiceProviderCode

    public void setServiceProviderCode(java.lang.String serviceProviderCode)

  Set the service provider specific code associated with this transaction.

  Parameters:
    `serviceProviderCode` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved